Skip to main content

Class: StoresService

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:82

Extends​

  • BaseService

Constructors​

Constructor​

new StoresService(client): StoresService

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:12

Parameters​

client​

TanqoryClient

Returns​

StoresService

Inherited from​

BaseService.constructor

Properties​

client​

protected client: TanqoryClient

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:10

Inherited from​

BaseService.client

Methods​

acceptInvitation()​

acceptInvitation(token): Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:281

Accept an invitation by token

Parameters​

token​

string

Returns​

Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>


assignDomains()​

assignDomains(storeId, data): Promise<StoreLanguage>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:499

Parameters​

storeId​

string

data​

AssignDomainInput

Returns​

Promise<StoreLanguage>


buildQuery()​

protected buildQuery(options?): Record<string, any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:26

Build query parameters

Parameters​

options?​

ListOptions

Returns​

Record<string, any>

Inherited from​

BaseService.buildQuery


cancelInvitation()​

cancelInvitation(storeId, invitationId): Promise<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:260

Parameters​

storeId​

string

invitationId​

string

Returns​

Promise<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>


canLeaveStore()​

canLeaveStore(storeId): Promise<{ canLeave: boolean; isLastOwner?: boolean; reason?: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:220

Parameters​

storeId​

string

Returns​

Promise<{ canLeave: boolean; isLastOwner?: boolean; reason?: string; }>


closeStore()​

closeStore(storeId, data): Promise<{ closedAt?: string; closureReason?: string; id: string; object: "store"; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:125

Parameters​

storeId​

string

data​
confirmSubdomain?​

string

feedback?​

string

password?​

string

reason?​

string

Returns​

Promise<{ closedAt?: string; closureReason?: string; id: string; object: "store"; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; }>


create()​

create(data): Promise<{ apiKeys?: { publishableKey: string; secretKey: string; testPublishableKey: string; testSecretKey: string; warning: string; }; closedAt: Date; closureReason: string; country: string; createdAt: Date; currency: string; friendlySubdomain: string; fullSubdomain: string; id: string; language: string; lastAccessedAt: Date; ownerId: string; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; storeType: "LIVE" | "DEVELOPMENT"; subdomain: string; timezone: string; trialEndsAt: Date; updatedAt: Date; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:100

Parameters​

data​
billingCity?​

string

billingCompany?​

string

billingCountry?​

string

billingDistrict?​

string

billingName?​

string

billingPostalCode?​

string

billingState?​

string

billingStreet?​

string

billingStreet2?​

string

billingSubDistrict?​

string

businessType?​

"new" | "existing"

cloudProvider?​

string

cloudRegion?​

string

contactEmail?​

string

contactPhone?​

string

country​

string

currency?​

string

description?​

string

icon?​

string

language?​

string

name​

string

productTypes?​

string[]

salesChannels?​

string[]

stripePaymentMethodId?​

string

subdomain​

string

timezone?​

string

Returns​

Promise<{ apiKeys?: { publishableKey: string; secretKey: string; testPublishableKey: string; testSecretKey: string; warning: string; }; closedAt: Date; closureReason: string; country: string; createdAt: Date; currency: string; friendlySubdomain: string; fullSubdomain: string; id: string; language: string; lastAccessedAt: Date; ownerId: string; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; storeType: "LIVE" | "DEVELOPMENT"; subdomain: string; timezone: string; trialEndsAt: Date; updatedAt: Date; }>


createLanguage()​

createLanguage(storeId, data): Promise<StoreLanguage>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:475

Parameters​

storeId​

string

data​

CreateLanguageInput

Returns​

Promise<StoreLanguage>


createPolicy()​

createPolicy(storeId, data): Promise<Policy>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:538

Parameters​

storeId​

string

data​

CreatePolicyInput

Returns​

Promise<Policy>


createRole()​

createRole(storeId, data): Promise<{ baseRole: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; category?: string; color: string; createdAt: Date; createdBy?: string | { firstName: string; id: string; lastName: string; }; description: string; id: string; isDefault: boolean; isStandard?: boolean; name: string; permissions: JsonValue; storeId: string; usersCount?: number; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:309

Parameters​

storeId​

string

data​
baseRole​

"OWNER" | "ADMIN" | "EDITOR" | "VIEWER"

color?​

string

description?​

string

isDefault?​

boolean

name​

string

permissions?​

Record<string, boolean>

Returns​

Promise<{ baseRole: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; category?: string; color: string; createdAt: Date; createdBy?: string | { firstName: string; id: string; lastName: string; }; description: string; id: string; isDefault: boolean; isStandard?: boolean; name: string; permissions: JsonValue; storeId: string; usersCount?: number; }>


declineInvitation()​

declineInvitation(token): Promise<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:288

Decline an invitation by token

Parameters​

token​

string

Returns​

Promise<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>


delete()​

delete(id): Promise<never>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:115

Parameters​

id​

string

Returns​

Promise<never>


deleteCustomerOAuthProvider()​

deleteCustomerOAuthProvider(storeId, provider): Promise<DeletedResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:412

Parameters​

storeId​

string

provider​

"google" | "facebook"

Returns​

Promise<DeletedResponse>


deleteLanguage()​

deleteLanguage(storeId, languageId): Promise<void>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:495

Parameters​

storeId​

string

languageId​

string

Returns​

Promise<void>


deletePolicy()​

deletePolicy(storeId, policyType): Promise<void>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:554

Parameters​

storeId​

string

policyType​

string

Returns​

Promise<void>


deleteRole()​

deleteRole(storeId, roleId): Promise<DeletedResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:325

Parameters​

storeId​

string

roleId​

string

Returns​

Promise<DeletedResponse>


dismissNotification()​

dismissNotification(storeId, notificationId): Promise<void>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:607

Parameters​

storeId​

string

notificationId​

string

Returns​

Promise<void>


generateAccessCode()​

generateAccessCode(storeId): Promise<GenerateAccessCodeResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:446

Parameters​

storeId​

string

Returns​

Promise<GenerateAccessCodeResponse>


generateIdempotencyKey()​

protected generateIdempotencyKey(prefix): string

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:19

Generate idempotency key

Parameters​

prefix​

string

Returns​

string

Inherited from​

BaseService.generateIdempotencyKey


getActivityLogs()​

getActivityLogs(storeId, query?): Promise<StoreActivityLogsResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:513

Parameters​

storeId​

string

query?​

StoreActivityQuery

Returns​

Promise<StoreActivityLogsResponse>


getActivityStats()​

getActivityStats(storeId): Promise<StoreActivityStats>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:522

Parameters​

storeId​

string

Returns​

Promise<StoreActivityStats>


getAnalytics()​

getAnalytics(storeId, period?): Promise<Record<string, unknown>>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:583

Parameters​

storeId​

string

period?​

string

Returns​

Promise<Record<string, unknown>>


getAutoTranslateQuota()​

getAutoTranslateQuota(storeId): Promise<AutoTranslateQuota>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:468

Parameters​

storeId​

string

Returns​

Promise<AutoTranslateQuota>


getAvailableLanguages()​

getAvailableLanguages(storeId): Promise<GetAvailableLanguagesResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:461

Parameters​

storeId​

string

Returns​

Promise<GetAvailableLanguagesResponse>


getBrandSettings()​

getBrandSettings(storeId): Promise<BrandSettingsResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:333

Parameters​

storeId​

string

Returns​

Promise<BrandSettingsResponse>


getCheckoutSettings()​

getCheckoutSettings(storeId): Promise<CheckoutSettingsResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:354

Parameters​

storeId​

string

Returns​

Promise<CheckoutSettingsResponse>


getCustomerAccountSettings()​

getCustomerAccountSettings(storeId): Promise<{ accountType: "customer" | "legacy"; facebookOAuth: { clientIdMasked: string; enabled: boolean; hasCredentials: boolean; }; googleOAuth: { clientIdMasked: string; enabled: boolean; hasCredentials: boolean; }; selfServeReturns: boolean; shopSignInEnabled: boolean; showSignInLinks: boolean; storeCreditEnabled: boolean; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:378

Parameters​

storeId​

string

Returns​

Promise<{ accountType: "customer" | "legacy"; facebookOAuth: { clientIdMasked: string; enabled: boolean; hasCredentials: boolean; }; googleOAuth: { clientIdMasked: string; enabled: boolean; hasCredentials: boolean; }; selfServeReturns: boolean; shopSignInEnabled: boolean; showSignInLinks: boolean; storeCreditEnabled: boolean; }>


getDashboardData()​

getDashboardData(storeId): Promise<{ domainInfo: { current: { domain: string; isCustom: boolean; isPrimary: boolean; type: string; }; hasCustomDomain: boolean; }; notifications: object[]; paymentSummary: { hasActiveProvider: boolean; providers: object[]; }; productsSummary: { products: object[]; total: number; }; quickActions: object[]; recentOrders: object[]; salesTrend: object[]; setupProgress: { completedTasks: number; tasks: object[]; totalTasks: number; }; shippingSummary: { hasShipping: boolean; zones: object[]; }; stats: { customersChange: number; monthSales: number; ordersChange: number; repeatCustomerRate: number; salesChange: number; todayCustomers: number; todayOrders: number; todaySales: number; totalCustomers: number; totalOrders: number; }; topCustomers: object[]; trial: { daysRemaining: number; hasPlan: boolean; isActive: boolean; }; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:589

Parameters​

storeId​

string

Returns​

Promise<{ domainInfo: { current: { domain: string; isCustom: boolean; isPrimary: boolean; type: string; }; hasCustomDomain: boolean; }; notifications: object[]; paymentSummary: { hasActiveProvider: boolean; providers: object[]; }; productsSummary: { products: object[]; total: number; }; quickActions: object[]; recentOrders: object[]; salesTrend: object[]; setupProgress: { completedTasks: number; tasks: object[]; totalTasks: number; }; shippingSummary: { hasShipping: boolean; zones: object[]; }; stats: { customersChange: number; monthSales: number; ordersChange: number; repeatCustomerRate: number; salesChange: number; todayCustomers: number; todayOrders: number; todaySales: number; totalCustomers: number; totalOrders: number; }; topCustomers: object[]; trial: { daysRemaining: number; hasPlan: boolean; isActive: boolean; }; }>


getDefaults()​

getDefaults(storeId): Promise<{ autoArchive: boolean; conversionFeePercent: number; defaultCurrency: string; fulfillmentMode: string; orderIdPrefix: string; orderIdSuffix: string; region: string; storeName: string; timezone: string; unitSystem: string; weightUnit: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:562

Parameters​

storeId​

string

Returns​

Promise<{ autoArchive: boolean; conversionFeePercent: number; defaultCurrency: string; fulfillmentMode: string; orderIdPrefix: string; orderIdSuffix: string; region: string; storeName: string; timezone: string; unitSystem: string; weightUnit: string; }>


getExportMimeType()​

protected getExportMimeType(format): string

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:45

Get MIME type for export format

Parameters​

format​

string

Returns​

string

Inherited from​

BaseService.getExportMimeType


getInvitations()​

getInvitations(storeId, query?): Promise<ListResponse<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:240

Parameters​

storeId​

string

query?​
limit​

number

offset?​

number

page​

number

string

status?​

"PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"

Returns​

Promise<ListResponse<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>>


getLanguages()​

getLanguages(storeId): Promise<GetLanguagesResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:457

Parameters​

storeId​

string

Returns​

Promise<GetLanguagesResponse>


getMember()​

getMember(storeId, memberId): Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:188

Parameters​

storeId​

string

memberId​

string

Returns​

Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>


getMembers()​

getMembers(storeId, query?): Promise<ListResponse<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:169

Parameters​

storeId​

string

query?​
limit​

number

offset?​

number

page​

number

role?​

"OWNER" | "ADMIN" | "EDITOR" | "VIEWER"

search?​

string

status​

"ACTIVE" | "SUSPENDED" | "REMOVED"

Returns​

Promise<ListResponse<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>>


getMentionableStaff()​

getMentionableStaff(storeId): Promise<object[]>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:178

Parameters​

storeId​

string

Returns​

Promise<object[]>


getMyInvitations()​

getMyInvitations(): Promise<ListResponse<MyInvitationResponse>>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:274

Get invitations for the current user across all stores

Returns​

Promise<ListResponse<MyInvitationResponse>>


getPendingPayment()​

getPendingPayment(): Promise<{ amount: number; createdAt: Date; currency: string; id: string; paidAt: Date; planSlug: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:131

Returns​

Promise<{ amount: number; createdAt: Date; currency: string; id: string; paidAt: Date; planSlug: string; }>


getPolicies()​

getPolicies(storeId): Promise<Policy[]>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:530

Parameters​

storeId​

string

Returns​

Promise<Policy[]>


getPolicy()​

getPolicy(storeId, policyType): Promise<Policy>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:534

Parameters​

storeId​

string

policyType​

string

Returns​

Promise<Policy>


getReactivationInfo()​

getReactivationInfo(storeId): Promise<{ billingCycle: string; canReactivate: boolean; lastPlan: { currency: string; monthlyPrice: number; name: string; slug: string; yearlyPrice: number; }; store: { closedAt: string; closureReason: string; id: string; name: string; status: string; subdomain: string; }; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:144

Parameters​

storeId​

string

Returns​

Promise<{ billingCycle: string; canReactivate: boolean; lastPlan: { currency: string; monthlyPrice: number; name: string; slug: string; yearlyPrice: number; }; store: { closedAt: string; closureReason: string; id: string; name: string; status: string; subdomain: string; }; }>


getRoles()​

getRoles(storeId): Promise<object[]>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:305

Parameters​

storeId​

string

Returns​

Promise<object[]>


getRolesWithCounts()​

getRolesWithCounts(storeId): Promise<RoleSummaryItem[]>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:184

Parameters​

storeId​

string

Returns​

Promise<RoleSummaryItem[]>


getSecuritySettings()​

getSecuritySettings(storeId): Promise<SecuritySettingsResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:426

Parameters​

storeId​

string

Returns​

Promise<SecuritySettingsResponse>


inviteMember()​

inviteMember(storeId, data): Promise<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:234

Parameters​

storeId​

string

data​
email​

string

permissions?​

Record<string, any>

role​

"OWNER" | "ADMIN" | "EDITOR" | "VIEWER"

Returns​

Promise<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>


leaveStore()​

leaveStore(storeId): Promise<{ success: true; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:226

Parameters​

storeId​

string

Returns​

Promise<{ success: true; }>


list()​

list(options?): Promise<ListResponse<{ cloudProvider?: string; cloudRegion?: string; country: string; createdAt: Date; currency: string; friendlySubdomain: string; id: string; lastAccessedAt: Date; logo?: string; memberCount?: number; memberRole?: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; name: string; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; subdomain: string; subscriptionPlan?: { name: string; }; timezone: string; trialEndsAt: Date; }>>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:87

Parameters​

options?​

ListOptions & object

Returns​

Promise<ListResponse<{ cloudProvider?: string; cloudRegion?: string; country: string; createdAt: Date; currency: string; friendlySubdomain: string; id: string; lastAccessedAt: Date; logo?: string; memberCount?: number; memberRole?: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; name: string; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; subdomain: string; subscriptionPlan?: { name: string; }; timezone: string; trialEndsAt: Date; }>>


processPayment()​

processPayment(paymentMethodId, planSlug?): Promise<{ amount: number; currency: string; id: string; paidAt: Date; status: string; stripeCustomerId: string; stripeInvoiceId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:135

Parameters​

paymentMethodId​

string

planSlug?​

string

Returns​

Promise<{ amount: number; currency: string; id: string; paidAt: Date; status: string; stripeCustomerId: string; stripeInvoiceId: string; }>


reactivateMember()​

reactivateMember(storeId, memberId): Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:213

Parameters​

storeId​

string

memberId​

string

Returns​

Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>


removeMember()​

removeMember(storeId, memberId): Promise<DeletedResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:202

Parameters​

storeId​

string

memberId​

string

Returns​

Promise<DeletedResponse>


reopenStore()​

reopenStore(storeId): Promise<{ closedAt?: string; closureReason?: string; id: string; object: "store"; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:148

Parameters​

storeId​

string

Returns​

Promise<{ closedAt?: string; closureReason?: string; id: string; object: "store"; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; }>


resendInvitation()​

resendInvitation(storeId, invitationId): Promise<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:253

Parameters​

storeId​

string

invitationId​

string

Returns​

Promise<{ createdAt: Date; email: string; expiresAt: Date; id: string; invitedBy: { email: string; id: string; name: string; }; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "PENDING" | "EXPIRED" | "CANCELLED" | "ACCEPTED"; storeId: string; }>


retrieve()​

retrieve(id): Promise<{ closedAt: Date; closureReason: string; country: string; createdAt: Date; currency: string; description?: string; friendlySubdomain: string; fullSubdomain: string; id: string; language: string; lastAccessedAt: Date; logo?: string; memberCount?: number; memberRole?: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; name: string; ownerId: string; settings?: Record<string, unknown>; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; storeType: "LIVE" | "DEVELOPMENT"; subdomain: string; timezone: string; trialEndsAt: Date; updatedAt: Date; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:96

Parameters​

id​

string

Returns​

Promise<{ closedAt: Date; closureReason: string; country: string; createdAt: Date; currency: string; description?: string; friendlySubdomain: string; fullSubdomain: string; id: string; language: string; lastAccessedAt: Date; logo?: string; memberCount?: number; memberRole?: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; name: string; ownerId: string; settings?: Record<string, unknown>; status: "ACTIVE" | "SUSPENDED" | "TRIAL" | "INACTIVE" | "CLOSED"; storeType: "LIVE" | "DEVELOPMENT"; subdomain: string; timezone: string; trialEndsAt: Date; updatedAt: Date; }>


suspendMember()​

suspendMember(storeId, memberId): Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:206

Parameters​

storeId​

string

memberId​

string

Returns​

Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>


transferOwnership()​

transferOwnership(storeId, data): Promise<TransferOwnershipResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:152

Parameters​

storeId​

string

data​
newOwnerEmail?​

string

newOwnerId?​

string

password?​

string

Returns​

Promise<TransferOwnershipResponse>


update()​

update(id, data): Promise<{ city: string; company: string; country: string; district: string; email: string; name: string; phone: string; postalCode: string; state: string; street: string; subDistrict: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:109

Parameters​

id​

string

data​
billingCity?​

string

billingCompany?​

string

billingCountry?​

string

billingDistrict?​

string

billingName?​

string

billingPostalCode?​

string

billingState?​

string

billingStreet?​

string

billingStreet2?​

string

billingSubDistrict?​

string

businessType?​

"new" | "existing"

cloudProvider?​

string

cloudRegion?​

string

contactEmail?​

string

contactPhone?​

string

country?​

string

currency?​

string

description?​

string

icon?​

string

language?​

string

name?​

string

productTypes?​

string[]

salesChannels?​

string[]

stripePaymentMethodId?​

string

timezone?​

string

Returns​

Promise<{ city: string; company: string; country: string; district: string; email: string; name: string; phone: string; postalCode: string; state: string; street: string; subDistrict: string; }>


updateBrandSettings()​

updateBrandSettings(storeId, data): Promise<BrandSettingsResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:337

Parameters​

storeId​

string

data​

UpdateBrandSettingsInput

Returns​

Promise<BrandSettingsResponse>


updateCheckoutSettings()​

updateCheckoutSettings(storeId, data): Promise<CheckoutSettingsResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:361

Parameters​

storeId​

string

data​

UpdateCheckoutSettingsInput

Returns​

Promise<CheckoutSettingsResponse>


updateCustomerAccountSettings()​

updateCustomerAccountSettings(storeId, data): Promise<{ accountType: "customer" | "legacy"; facebookOAuth: { clientIdMasked: string; enabled: boolean; hasCredentials: boolean; }; googleOAuth: { clientIdMasked: string; enabled: boolean; hasCredentials: boolean; }; selfServeReturns: boolean; shopSignInEnabled: boolean; showSignInLinks: boolean; storeCreditEnabled: boolean; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:385

Parameters​

storeId​

string

data​
accountType?​

"customer" | "legacy"

selfServeReturns?​

boolean

shopSignInEnabled?​

boolean

boolean

storeCreditEnabled?​

boolean

Returns​

Promise<{ accountType: "customer" | "legacy"; facebookOAuth: { clientIdMasked: string; enabled: boolean; hasCredentials: boolean; }; googleOAuth: { clientIdMasked: string; enabled: boolean; hasCredentials: boolean; }; selfServeReturns: boolean; shopSignInEnabled: boolean; showSignInLinks: boolean; storeCreditEnabled: boolean; }>


updateCustomerOAuthProvider()​

updateCustomerOAuthProvider(storeId, provider, data): Promise<{ clientIdMasked: string; enabled: boolean; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:398

Parameters​

storeId​

string

provider​

"google" | "facebook"

data​
clientId​

string

clientSecret​

string

enabled?​

boolean

Returns​

Promise<{ clientIdMasked: string; enabled: boolean; }>


updateDefaults()​

updateDefaults(storeId, data): Promise<{ autoArchive: boolean; conversionFeePercent: number; defaultCurrency: string; fulfillmentMode: string; orderIdPrefix: string; orderIdSuffix: string; region: string; storeName: string; timezone: string; unitSystem: string; weightUnit: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:566

Parameters​

storeId​

string

data​

UpdateStoreDefaultsInput

Returns​

Promise<{ autoArchive: boolean; conversionFeePercent: number; defaultCurrency: string; fulfillmentMode: string; orderIdPrefix: string; orderIdSuffix: string; region: string; storeName: string; timezone: string; unitSystem: string; weightUnit: string; }>


updateLanguage()​

updateLanguage(storeId, languageId, data): Promise<StoreLanguage>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:481

Parameters​

storeId​

string

languageId​

string

data​

UpdateLanguageInput

Returns​

Promise<StoreLanguage>


updateMember()​

updateMember(storeId, memberId, data): Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:192

Parameters​

storeId​

string

memberId​

string

data​
customRoleId?​

string

permissions?​

Record<string, any>

role?​

"OWNER" | "ADMIN" | "EDITOR" | "VIEWER"

status?​

"ACTIVE" | "SUSPENDED" | "REMOVED"

Returns​

Promise<{ customRole?: { color: string; id: string; name: string; }; id: string; joinedAt: Date; lastAccessAt: Date; role: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; status: "ACTIVE" | "SUSPENDED" | "REMOVED"; storeId: string; user: { avatar: string; email: string; id: string; name: string; }; userId: string; }>


updatePolicy()​

updatePolicy(storeId, policyType, data): Promise<Policy>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:544

Parameters​

storeId​

string

policyType​

string

data​

UpdatePolicyInput

Returns​

Promise<Policy>


updateRole()​

updateRole(storeId, roleId, data): Promise<{ baseRole: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; category?: string; color: string; createdAt: Date; createdBy?: string | { firstName: string; id: string; lastName: string; }; description: string; id: string; isDefault: boolean; isStandard?: boolean; name: string; permissions: JsonValue; storeId: string; usersCount?: number; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:315

Parameters​

storeId​

string

roleId​

string

data​
baseRole?​

"OWNER" | "ADMIN" | "EDITOR" | "VIEWER"

color?​

string

description?​

string

isDefault?​

boolean

name?​

string

permissions?​

Record<string, boolean>

Returns​

Promise<{ baseRole: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER"; category?: string; color: string; createdAt: Date; createdBy?: string | { firstName: string; id: string; lastName: string; }; description: string; id: string; isDefault: boolean; isStandard?: boolean; name: string; permissions: JsonValue; storeId: string; usersCount?: number; }>


updateSecuritySettings()​

updateSecuritySettings(storeId, data): Promise<SecuritySettingsResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:433

Parameters​

storeId​

string

data​

UpdateSecuritySettingsInput

Returns​

Promise<SecuritySettingsResponse>


updateSetupTask()​

updateSetupTask(storeId, taskId, data): Promise<Record<string, unknown>>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:593

Parameters​

storeId​

string

taskId​

string

data​

Record<string, unknown>

Returns​

Promise<Record<string, unknown>>


validateInvitationToken()​

validateInvitationToken(token): Promise<ValidateTokenResponse>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:295

Validate an invitation token (public endpoint)

Parameters​

token​

string

Returns​

Promise<ValidateTokenResponse>


validateSubdomain()​

validateSubdomain(data): Promise<{ available: boolean; message?: string; suggestion?: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/stores.ts:119

Parameters​

data​
subdomain​

string

Returns​

Promise<{ available: boolean; message?: string; suggestion?: string; }>